# reset_basis

Causes reinversion at next opportunity

void reset_basis(lprec *lp);

Return Value

reset_basis has no return value.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

This routine is ment for internal use and development. It causes a reinversion of the matrix at a next opportunity. The routine should only be used by people deeply understanding the code.
In the past, this routine was documented as the routine to set an initial base. This is incorrect. default_basis must be used for this purpose. It is very unlikely that you must call this routine.

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, get_basis, set_basis, default_basis, get_basiscrash set_basiscrash